7.04升级后不能启动的解决方法(官方以已修正)

为当前最终发行版之前的所有版本提供支持
回复
newlad
帖子: 258
注册时间: 2005-09-28 12:01
送出感谢: 0
接收感谢: 0

7.04升级后不能启动的解决方法(官方以已修正)

#1

帖子 newlad » 2007-01-01 1:57

最近在升级7.04后就不能启动了,大概是说port is in use 的错误,为了这个我都重装了一次了,本以为源里面已经修复这个错误了,可是升级后还是没用,本打算重装的,但想想今天是2007年的第一天,还是修复下吧,而且国际网不能访问,更新估计就要等段时间了,不过幸好,我备份了2.6.19的旧内核,就是没更新前能启动的内核

这个BUG是由 initramfs-tools 0.85d 版本引起的,大家不要升级到这个版本

由于不能启动系统了,所以要借助LIVE CD 才能进,如果你备份了内核就直接从备份的内核启动

进入任何版本的LIVE CD ,只要这个版本的内核能启动我们的系统就可以了,把它拷入系统所在分区
然后从拷贝过来的内核中启动

不管你用什么方法,只要能够进入系统就可以了

在启动了系统后,

代码: 全选

sudo gedit /usr/share/initramfs-tools/scripts/local-top/udev_helper
把modprobe -q ide-generic注释掉

然后在配置下内核

代码: 全选

sudo update-initramfs -u -k 2.6.20-2-generic
你也可以把2.6.19的内核也重新配置下
重新启动后就可以进入了

操作完后建议不要注释modprobe -q ide-generic,等官方更新后会解决这个问题的
上次由 newlad 在 2007-01-08 14:25,总共编辑 3 次。
newlad
帖子: 258
注册时间: 2005-09-28 12:01
送出感谢: 0
接收感谢: 0

#2

帖子 newlad » 2007-01-01 1:58

ygmvla
帖子: 82
注册时间: 2006-11-12 9:39
来自: 湖南祁阳
送出感谢: 0
接收感谢: 0

#3

帖子 ygmvla » 2007-01-01 12:22

我也升级了,但没有的2。6。19的内核呀,从6。10升级的,官方说7。04是2。19的内核的呀,但我的是2。20-2的内核,什么原因呀,升级以后只有新内 核可以启动,原来2。6。17的却不能启动,我删除了~怪怪的~
gj7548
帖子: 142
注册时间: 2006-10-19 15:22
送出感谢: 0
接收感谢: 0

谢谢!

#4

帖子 gj7548 » 2007-01-04 11:43

真及时。照上面方法问题已解决。
还请问,没用楼主方法修改前,我把显卡驱动改回,用新核心也能启动。
hjc9729
帖子: 21
注册时间: 2006-08-16 23:03
送出感谢: 0
接收感谢: 0

#5

帖子 hjc9729 » 2007-01-06 9:25

楼主能说一下原理吗
ltkun
帖子: 1335
注册时间: 2006-01-10 19:09
送出感谢: 0
接收感谢: 0

#6

帖子 ltkun » 2007-01-08 16:14

/usr/share/initramfs-tools/scripts/local-top/udev_helper
好像没有这个文件的系统里面
回复

回到 “老旧版本支持”